import './option.dart';
import './terminal.dart';

final _terminal = const Terminal();

class Prompter {
  String askMultiple(String prompt, List<Option> options) {
    var input = _ask(prompt, options);
    try {
      return options[int.parse(input)].value;
    }
    catch(error) {
      return askMultiple(prompt, options);
    }
  } 

  bool askBinary(String prompt) {
    var input = _ask('${prompt} [y/n]', []);
    return input.contains('y');
  } 
  
  String _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}